Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution.util
Class FastBitSet

    java.lang.Object
      javolution.util.FastCollection<Index>
          javolution.util.FastBitSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<Index>, java.util.Collection<Index>, java.util.Set<Index>, Realtime, Reusable, XMLSerializable

    public class FastBitSet

extends FastCollection<Index>
implements java.util.Set<Index>, Reusable

This class represents either a table of bits or a set of non-negative numbers.

This class is integrated with the collection framework (as a set of `indices` and obeys the collection semantic for methods such as `size()` (cardinality) or `equals(java.lang.Object)` (same set of indices).

Version:
  5.3, February 24, 2008
Author:
  Jean-Marie Dautelle
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javolution.util.FastCollection
`FastCollection.Record`

Constructor Summary
`FastBitSet()` Creates a bit set of small initial capacity.
`FastBitSet(int bitSize)` Creates a bit set of specified initial capacity (in bits).

Method Summary
`boolean` | `add(Index index)` Adds the specified index to this set.
`void` | `and(FastBitSet that)` Performs the logical AND operation on this bit set and the given bit set.
`void` | `andNot(FastBitSet that)` Performs the logical AND operation on this bit set and the complement of the given bit set.
`int` | `cardinality()` Returns the number of bits set to `true` (or the size of this set).
`void` | `clear()` Sets all bits in the set to `false` (empty the set).
`void` | `clear(int bitIndex)` Removes the specified integer value from this set.
`void` | `clear(int fromIndex, int toIndex)` Sets the bits from the specified `fromIndex` (inclusive) to the specified `toIndex` (exclusive) to `false`.
`void` | `delete(FastCollection.Record record)` Deletes the specified record from this collection.
`boolean` | `equals(java.lang.Object obj)` Compares the specified object with this collection for equality.
`void` | `flip(int bitIndex)` Sets the bit at the index to the opposite value.
`void` | `flip(int fromIndex, int toIndex)` Sets a range of bits to the opposite value.
`boolean` | `get(int bitIndex)` Returns `true`> if the specified integer is in this bit set; `false` otherwise.
`FastBitSet` | `get(int fromIndex, int toIndex)` Returns a new bit set composed of a range of bits from this one.
`int` | `hashCode()` Returns the hash code for this collection.
`FastCollection.Record` | `head()` Returns the head record of this collection; it is the record such as `head().getNext()` holds the first collection value.
`boolean` | `intersects(FastBitSet that)` Returns `true` if this bit set shares at least one common bit with the specified bit set.
`int` | `length()` Returns the logical number of bits actually used by this bit set.
`static FastBitSet` | `newInstance()` Returns a new, preallocated or `recycled` set instance (on the stack when executing in a `StackContext`).
`int` | `nextClearBit(int fromIndex)` Returns the index of the next `false` bit, from the specified bit (inclusive).
`int` | `nextSetBit(int fromIndex)` Returns the index of the next `true` bit, from the specified bit (inclusive).
`void` | `or(FastBitSet that)` Performs the logical OR operation on this bit set and the one specified.
`static void` | `recycle(FastBitSet instance)` Recycles a set `instance` immediately (on the stack when executing in a `StackContext`).
`void` | `reset()` Resets the internal state of this object to its default values.
`void` | `set(int bitIndex)` Adds the specified integer to this set (corresponding bit is set to `true`.
`void` | `set(int bitIndex, boolean value)` Sets the bit at the given index to the specified value.
`void` | `set(int fromIndex, int toIndex)` Sets the bits from the specified `fromIndex` (inclusive) to the specified `toIndex` (exclusive) to `true`.
`void` | `set(int fromIndex, int toIndex, boolean value)` Sets the bits between from (inclusive) and to (exclusive) to the specified value.
`int` | `size()` Returns the cardinality of this bit set (number of bits set).
`FastCollection.Record` | `tail()` Returns the tail record of this collection; it is the record such as `tail().getPrevious()` holds the last collection value.
`Index` | `valueOf(FastCollection.Record record)` Returns the collection value for the specified record.
`void` | `xor(FastBitSet that)` Performs the logical XOR operation on this bit set and the one specified.

Methods inherited from class javolution.util.FastCollection
`addAll, contains, containsAll, getValueComparator, isEmpty, iterator, remove, removeAll, retainAll, toArray, toArray, toString, toText, unmodifiable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### FastBitSet

    public FastBitSet()

  Creates a bit set of small initial capacity. All bits are initially `false`.

### FastBitSet

    public FastBitSet(int bitSize)

  Creates a bit set of specified initial capacity (in bits). All bits are initially `false`. This constructor reserves enough space to represent the integers from `0` to `bitSize-1`.

  Parameters:
    `bitSize` - the initial capacity in bits.

Method Detail

### newInstance

    public static FastBitSet newInstance()

  Returns a new, preallocated or `recycled` set instance (on the stack when executing in a `StackContext`).

  Returns:
    a new, preallocated or recycled set instance.

### recycle

    public static void recycle(FastBitSet instance)

  Recycles a set `instance` immediately (on the stack when executing in a `StackContext`).

### add

    public boolean add(Index index)

  Adds the specified index to this set. This method is equivalent to `set(index.intValue())`.

  Specified by:
    `add` in interface `java.util.Collection<Index>`
  Specified by:
    `add` in interface `java.util.Set<Index>`
  Overrides:
    `add` in class `FastCollection<Index>`
  Parameters:
    `index` - the integer value to be appended to this set.
  Returns:
    `true` if this set did not contains the specified index; `false` otherwise.

### and

    public void and(FastBitSet that)

  Performs the logical AND operation on this bit set and the given bit set. This means it builds the intersection of the two sets. The result is stored into this bit set.

  Parameters:
    `that` - the second bit set.

### andNot

    public void andNot(FastBitSet that)

  Performs the logical AND operation on this bit set and the complement of the given bit set. This means it selects every element in the first set, that isn't in the second set. The result is stored into this bit set.

  Parameters:
    `that` - the second bit set

### cardinality

    public int cardinality()

  Returns the number of bits set to `true` (or the size of this set).

  Returns:
    the number of bits being set.

### clear

    public void clear()

  Sets all bits in the set to `false` (empty the set).

  Specified by:
    `clear` in interface `java.util.Collection<Index>`
  Specified by:
    `clear` in interface `java.util.Set<Index>`
  Overrides:
    `clear` in class `FastCollection<Index>`

### clear

    public void clear(int bitIndex)

  Removes the specified integer value from this set. That is the corresponding bit is cleared.

  Parameters:
    `bitIndex` - a non-negative integer.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if `index < 0`

### clear

    public void clear(int fromIndex,
                      int toIndex)

  Sets the bits from the specified `fromIndex` (inclusive) to the specified `toIndex` (exclusive) to `false`.

  Parameters:
    `fromIndex` - index of the first bit to be cleared.
    `toIndex` - index after the last bit to be cleared.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if `(fromIndex < 0) | (toIndex < fromIndex)`

### flip

    public void flip(int bitIndex)

  Sets the bit at the index to the opposite value.

  Parameters:
    `bitIndex` - the index of the bit.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if `bitIndex < 0`

### flip

    public void flip(int fromIndex,
                     int toIndex)

  Sets a range of bits to the opposite value.

  Parameters:
    `fromIndex` - the low index (inclusive).
    `toIndex` - the high index (exclusive).
  Throws:
    `java.lang.IndexOutOfBoundsException` - if `(fromIndex < 0) | (toIndex < fromIndex)`

### get

    public boolean get(int bitIndex)

  Returns `true`> if the specified integer is in this bit set; `false` otherwise.

  Parameters:
    `bitIndex` - a non-negative integer.
  Returns:
    the value of the bit at the specified index.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if `bitIndex < 0`

### get

    public FastBitSet get(int fromIndex,
                          int toIndex)

  Returns a new bit set composed of a range of bits from this one.

  Parameters:
    `fromIndex` - the low index (inclusive).
    `toIndex` - the high index (exclusive).
  Returns:
    a context allocated bit set instance.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if `(fromIndex < 0) | (toIndex < fromIndex)`

### intersects

    public boolean intersects(FastBitSet that)

  Returns `true` if this bit set shares at least one common bit with the specified bit set.

  Parameters:
    `that` - the bit set to check for intersection
  Returns:
    `true` if the sets intersect; `false` otherwise.

### length

    public int length()

  Returns the logical number of bits actually used by this bit set. It returns the index of the highest set bit plus one.

  Note: This method does not return the number of set bits which is returned by `size()`

  Returns:
    the index of the highest set bit plus one.

### nextClearBit

    public int nextClearBit(int fromIndex)

  Returns the index of the next `false` bit, from the specified bit (inclusive).

  Parameters:
    `fromIndex` - the start location.
  Returns:
    the first `false` bit.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if `fromIndex < 0`

### nextSetBit

    public int nextSetBit(int fromIndex)

  Returns the index of the next `true` bit, from the specified bit (inclusive). If there is none, `-1` is returned. The following code will iterates through the bit set:`

          for (int i=nextSetBit(0); i >= 0; i = nextSetBit(i)) {
               ...
          }
      <P>
      <DD><DL>
      </DL>
      </DD>
      <DD><DL>
      <DT><B>Parameters:</B><DD><CODE>fromIndex</CODE> - the start location.
      <DT><B>Returns:</B><DD>the first <code>false</code> bit.
      <DT><B>Throws:</B>
      <DD><CODE>java.lang.IndexOutOfBoundsException</CODE> - if <code>fromIndex &lt; 0</code></DL>
      </DD>
      </DL>
      <HR>

      <A NAME="or(javolution.util.FastBitSet)"><!-- --></A><H3>
      or</H3>
      <PRE>
      public void <B>or</B>(<A HREF="../../javolution/util/FastBitSet.html" title="class in javolution.util">FastBitSet</A>&nbsp;that)</PRE>
      <DL>
      <DD>Performs the logical OR operation on this bit set and the one specified.
       In other words, builds the union of the two sets.
       The result is stored into this bit set.
      <P>
      <DD><DL>
      </DL>
      </DD>
      <DD><DL>
      <DT><B>Parameters:</B><DD><CODE>that</CODE> - the second bit set.</DL>
      </DD>
      </DL>
      <HR>

      <A NAME="set(int)"><!-- --></A><H3>
      set</H3>
      <PRE>
      public void <B>set</B>(int&nbsp;bitIndex)</PRE>
      <DL>
      <DD>Adds the specified integer to this set (corresponding bit is set to
       <code>true</code>.
      <P>
      <DD><DL>
      </DL>
      </DD>
      <DD><DL>
      <DT><B>Parameters:</B><DD><CODE>bitIndex</CODE> - a non-negative integer.
      <DT><B>Throws:</B>
      <DD><CODE>java.lang.IndexOutOfBoundsException</CODE> - if <code>bitIndex &lt; 0</code></DL>
      </DD>
      </DL>
      <HR>

      <A NAME="set(int, boolean)"><!-- --></A><H3>
      set</H3>
      <PRE>
      public void <B>set</B>(int&nbsp;bitIndex,
                      boolean&nbsp;value)</PRE>
      <DL>
      <DD>Sets the bit at the given index to the specified value.
      <P>
      <DD><DL>
      </DL>
      </DD>
      <DD><DL>
      <DT><B>Parameters:</B><DD><CODE>bitIndex</CODE> - the position to set.<DD><CODE>value</CODE> - the value to set it to.
      <DT><B>Throws:</B>
      <DD><CODE>java.lang.IndexOutOfBoundsException</CODE> - if <code>bitIndex &lt; 0</code></DL>
      </DD>
      </DL>
      <HR>

      <A NAME="set(int, int)"><!-- --></A><H3>
      set</H3>
      <PRE>
      public void <B>set</B>(int&nbsp;fromIndex,
                      int&nbsp;toIndex)</PRE>
      <DL>
      <DD>Sets the bits from the specified <code>fromIndex</code> (inclusive) to the
       specified <code>toIndex</code> (exclusive) to <code>true</code>.
      <P>
      <DD><DL>
      </DL>
      </DD>
      <DD><DL>
      <DT><B>Parameters:</B><DD><CODE>fromIndex</CODE> - index of the first bit to be set.<DD><CODE>toIndex</CODE> - index after the last bit to be set.
      <DT><B>Throws:</B>
      <DD><CODE>java.lang.IndexOutOfBoundsException</CODE> - if
                <code>(fromIndex &lt; 0) | (toIndex &lt; fromIndex)</code></DL>
      </DD>
      </DL>
      <HR>

      <A NAME="set(int, int, boolean)"><!-- --></A><H3>
      set</H3>
      <PRE>
      public void <B>set</B>(int&nbsp;fromIndex,
                      int&nbsp;toIndex,
                      boolean&nbsp;value)</PRE>
      <DL>
      <DD>Sets the bits between from (inclusive) and to (exclusive) to the
       specified value.
      <P>
      <DD><DL>
      </DL>
      </DD>
      <DD><DL>
      <DT><B>Parameters:</B><DD><CODE>fromIndex</CODE> - the start range (inclusive).<DD><CODE>toIndex</CODE> - the end range (exclusive).<DD><CODE>value</CODE> - the value to set it to.
      <DT><B>Throws:</B>
      <DD><CODE>java.lang.IndexOutOfBoundsException</CODE> - if <code>bitIndex &lt; 0</code></DL>
      </DD>
      </DL>
      <HR>

      <A NAME="size()"><!-- --></A><H3>
      size</H3>
      <PRE>
      public int <B>size</B>()</PRE>
      <DL>
      <DD>Returns the cardinality of this bit set (number of bits set).

       <P>Note: Unlike <code>java.util.BitSet</code> this method does not
                returns an approximation of the number of bits of space
                actually in use. This method is compliant with
                java.util.Collection meaning for size().</p>
      <P>
      <DD><DL>
      <DT><B>Specified by:</B><DD><CODE>size</CODE> in interface <CODE>java.util.Collection&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE>size</CODE> in interface <CODE>java.util.Set&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../javolution/util/FastCollection.html#size()">size</A></CODE> in class <CODE><A HREF="../../javolution/util/FastCollection.html" title="class in javolution.util">FastCollection</A>&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE></DL>
      </DD>
      <DD><DL>

      <DT><B>Returns:</B><DD>the cardinality of this bit set.</DL>
      </DD>
      </DL>
      <HR>

      <A NAME="xor(javolution.util.FastBitSet)"><!-- --></A><H3>
      xor</H3>
      <PRE>
      public void <B>xor</B>(<A HREF="../../javolution/util/FastBitSet.html" title="class in javolution.util">FastBitSet</A>&nbsp;that)</PRE>
      <DL>
      <DD>Performs the logical XOR operation on this bit set and the one specified.
       In other words, builds the symmetric remainder of the two sets
       (the elements that are in one set, but not in the other).
       The result is stored into this bit set.
      <P>
      <DD><DL>
      </DL>
      </DD>
      <DD><DL>
      <DT><B>Parameters:</B><DD><CODE>that</CODE> - the second bit set.</DL>
      </DD>
      </DL>
      <HR>

      <A NAME="equals(java.lang.Object)"><!-- --></A><H3>
      equals</H3>
      <PRE>
      public boolean <B>equals</B>(java.lang.Object&nbsp;obj)</PRE>
      <DL>
      <DD><B>Description copied from class: <CODE><A HREF="../../javolution/util/FastCollection.html#equals(java.lang.Object)">FastCollection</A></CODE></B></DD>
      <DD>Compares the specified object with this collection for equality.
       The default behavior is to consider two collections equal if they
       hold the same values and have the same iterative order if any of
       the collections is an ordered collection (<CODE>List</CODE> instances).
       Equality comparisons are performed using this collection
       <A HREF="../../javolution/util/FastCollection.html#getValueComparator()"><CODE>value comparator</CODE></A>.
      <P>
      <DD><DL>
      <DT><B>Specified by:</B><DD><CODE>equals</CODE> in interface <CODE>java.util.Collection&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE>equals</CODE> in interface <CODE>java.util.Set&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../javolution/util/FastCollection.html#equals(java.lang.Object)">equals</A></CODE> in class <CODE><A HREF="../../javolution/util/FastCollection.html" title="class in javolution.util">FastCollection</A>&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE></DL>
      </DD>
      <DD><DL>
      <DT><B>Parameters:</B><DD><CODE>obj</CODE> - the object to be compared for equality with this collection
      <DT><B>Returns:</B><DD><code>true</code> if the specified object is a collection with
               the same content and iteration order when necessary;
               <code>false</code> otherwise.</DL>
      </DD>
      </DL>
      <HR>

      <A NAME="hashCode()"><!-- --></A><H3>
      hashCode</H3>
      <PRE>
      public int <B>hashCode</B>()</PRE>
      <DL>
      <DD><B>Description copied from class: <CODE><A HREF="../../javolution/util/FastCollection.html#hashCode()">FastCollection</A></CODE></B></DD>
      <DD>Returns the hash code for this collection. For non-ordered collection
       the hashcode of this collection is the sum of the hashcode of its
       values.
      <P>
      <DD><DL>
      <DT><B>Specified by:</B><DD><CODE>hashCode</CODE> in interface <CODE>java.util.Collection&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE>hashCode</CODE> in interface <CODE>java.util.Set&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../javolution/util/FastCollection.html#hashCode()">hashCode</A></CODE> in class <CODE><A HREF="../../javolution/util/FastCollection.html" title="class in javolution.util">FastCollection</A>&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE></DL>
      </DD>
      <DD><DL>

      <DT><B>Returns:</B><DD>the hash code for this collection.</DL>
      </DD>
      </DL>
      <HR>

      <A NAME="reset()"><!-- --></A><H3>
      reset</H3>
      <PRE>
      public void <B>reset</B>()</PRE>
      <DL>
      <DD><B>Description copied from interface: <CODE><A HREF="../../javolution/lang/Reusable.html#reset()">Reusable</A></CODE></B></DD>
      <DD>Resets the internal state of this object to its default values.
      <P>
      <DD><DL>
      <DT><B>Specified by:</B><DD><CODE><A HREF="../../javolution/lang/Reusable.html#reset()">reset</A></CODE> in interface <CODE><A HREF="../../javolution/lang/Reusable.html" title="interface in javolution.lang">Reusable</A></CODE></DL>
      </DD>
      <DD><DL>
      </DL>
      </DD>
      </DL>
      <HR>

      <A NAME="head()"><!-- --></A><H3>
      head</H3>
      <PRE>
      public <A HREF="../../javolution/util/FastCollection.Record.html" title="interface in javolution.util">FastCollection.Record</A> <B>head</B>()</PRE>
      <DL>
      <DD><B>Description copied from class: <CODE><A HREF="../../javolution/util/FastCollection.html#head()">FastCollection</A></CODE></B></DD>
      <DD>Returns the head record of this collection; it is the record such as
       <code>head().getNext()</code> holds the first collection value.
      <P>
      <DD><DL>
      <DT><B>Specified by:</B><DD><CODE><A HREF="../../javolution/util/FastCollection.html#head()">head</A></CODE> in class <CODE><A HREF="../../javolution/util/FastCollection.html" title="class in javolution.util">FastCollection</A>&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE></DL>
      </DD>
      <DD><DL>

      <DT><B>Returns:</B><DD>the head record.</DL>
      </DD>
      </DL>
      <HR>

      <A NAME="tail()"><!-- --></A><H3>
      tail</H3>
      <PRE>
      public <A HREF="../../javolution/util/FastCollection.Record.html" title="interface in javolution.util">FastCollection.Record</A> <B>tail</B>()</PRE>
      <DL>
      <DD><B>Description copied from class: <CODE><A HREF="../../javolution/util/FastCollection.html#tail()">FastCollection</A></CODE></B></DD>
      <DD>Returns the tail record of this collection; it is the record such as
       <code>tail().getPrevious()</code> holds the last collection value.
      <P>
      <DD><DL>
      <DT><B>Specified by:</B><DD><CODE><A HREF="../../javolution/util/FastCollection.html#tail()">tail</A></CODE> in class <CODE><A HREF="../../javolution/util/FastCollection.html" title="class in javolution.util">FastCollection</A>&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE></DL>
      </DD>
      <DD><DL>

      <DT><B>Returns:</B><DD>the tail record.</DL>
      </DD>
      </DL>
      <HR>

      <A NAME="valueOf(javolution.util.FastCollection.Record)"><!-- --></A><H3>
      valueOf</H3>
      <PRE>
      public <A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A> <B>valueOf</B>(<A HREF="../../javolution/util/FastCollection.Record.html" title="interface in javolution.util">FastCollection.Record</A>&nbsp;record)</PRE>
      <DL>
      <DD><B>Description copied from class: <CODE><A HREF="../../javolution/util/FastCollection.html#valueOf(javolution.util.FastCollection.Record)">FastCollection</A></CODE></B></DD>
      <DD>Returns the collection value for the specified record.
      <P>
      <DD><DL>
      <DT><B>Specified by:</B><DD><CODE><A HREF="../../javolution/util/FastCollection.html#valueOf(javolution.util.FastCollection.Record)">valueOf</A></CODE> in class <CODE><A HREF="../../javolution/util/FastCollection.html" title="class in javolution.util">FastCollection</A>&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE></DL>
      </DD>
      <DD><DL>
      <DT><B>Parameters:</B><DD><CODE>record</CODE> - the record whose current value is returned.
      <DT><B>Returns:</B><DD>the current value.</DL>
      </DD>
      </DL>
      <HR>

      <A NAME="delete(javolution.util.FastCollection.Record)"><!-- --></A><H3>
      delete</H3>
      <PRE>
      public void <B>delete</B>(<A HREF="../../javolution/util/FastCollection.Record.html" title="interface in javolution.util">FastCollection.Record</A>&nbsp;record)</PRE>
      <DL>
      <DD><B>Description copied from class: <CODE><A HREF="../../javolution/util/FastCollection.html#delete(javolution.util.FastCollection.Record)">FastCollection</A></CODE></B></DD>
      <DD>Deletes the specified record from this collection.

       <p> Implementation must ensure that removing a record from the
           collection does not affect in any way the records preceding
           the record being removed (it might affect the next records though,
           e.g. in a list collection, the indices of the subsequent records
           will change).</p>
      <P>
      <DD><DL>
      <DT><B>Specified by:</B><DD><CODE><A HREF="../../javolution/util/FastCollection.html#delete(javolution.util.FastCollection.Record)">delete</A></CODE> in class <CODE><A HREF="../../javolution/util/FastCollection.html" title="class in javolution.util">FastCollection</A>&lt;<A HREF="../../javolution/util/Index.html" title="class in javolution.util">Index</A>&gt;</CODE></DL>
      </DD>
      <DD><DL>
      <DT><B>Parameters:</B><DD><CODE>record</CODE> - the record to be removed.</DL>
      </DD>
      </DL>
      <!-- ========= END OF CLASS DATA ========= -->
      <HR>

      <!-- ======= START OF BOTTOM NAVBAR ====== -->
      <A NAME="navbar_bottom"><!-- --></A>
      <A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
      <TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
      <TR>
      <TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
      <A NAME="navbar_bottom_firstrow"><!-- --></A>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
        <TR ALIGN="center" VALIGN="top">
        <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
        <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
        <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
        <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
        <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
        <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
        <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
        </TR>
      </TABLE>
      </TD>
      <TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>

                      <A HREF=http://javolution.org>
                      <SPAN CLASS=style0>J</SPAN>
                      <SPAN CLASS=style1>avolution v5.3 (J2SE 1.5+)</SPAN>
                      </A>
                  </EM>
      </TD>
      </TR>

      <TR>
      <TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
      &nbsp;PREV CLASS&nbsp;
      &nbsp;<A HREF="../../javolution/util/FastCollection.html" title="class in javolution.util"><B>NEXT CLASS</B></A></FONT></TD>
      <TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
        <A HREF="../../index.html?javolution/util/FastBitSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
      &nbsp;<A HREF="FastBitSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
      &nbsp;<SCRIPT type="text/javascript">
        <!--
        if(window==top) {
          document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
        }
        //-->
      </SCRIPT>
      <NOSCRIPT>
        <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
      </NOSCRIPT>

      </FONT></TD>
      </TR>
      <TR>
      <TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
        SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_javolution.util.FastCollection">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
      <TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
      DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
      </TR>
      </TABLE>
      <A NAME="skip-navbar_bottom"></A>
      <!-- ======== END OF BOTTOM NAVBAR ======= -->

      <HR>

                      <i>Copyright &#169; 2005 - 2009 Javolution.</i>

      </BODY>
      </HTML>

  `